## ParserOptionsSpec

Parser options specification. Used to specify the options of a GLModel. Depending on the input file format, not all fields may be defined.

View Source parsers/ParserOptionsSpec.ts, line 6

# Members

Type: `string`

#### # altLoc Optional

which alternate location to select, if present; '*' to load all ; supported by pdb

View Source parsers/ParserOptionsSpec.ts, line 78

Type: `number`

#### # assemblyIndex Optional

index of the assembly in symmetry ; supported by mmtf

View Source parsers/ParserOptionsSpec.ts, line 83

Type: `boolean`

#### # assignBonds Optional

for formats without explicit bonds (e.g. PDB, xyz) infer bonding (default true).

View Source parsers/ParserOptionsSpec.ts, line 88

Type: `boolean`

#### # doAssembly Optional

boolean dictating weather or not to do assembly ; supported by mcif, pdb

View Source parsers/ParserOptionsSpec.ts, line 43

Type: `boolean`

#### # dontConnectDuplicatedAtoms Optional

do not detect bonds between symmetries generated with duplicateAssemblyAtoms (cif only - other formats never make bonds between symmetries)

View Source parsers/ParserOptionsSpec.ts, line 58

Type: `boolean`

#### # duplicateAssemblyAtoms Optional

Set to true if you wish to duplicate assembly atoms otherwise false ; supported by all formats with symmetries. Not duplicating will result in faster rendering but it will not be possible to individually style symmetries.

View Source parsers/ParserOptionsSpec.ts, line 48

Type: `boolean`

#### # frames Optional

true if you want to add to a new frame and false otherwise ; supported by all

View Source parsers/ParserOptionsSpec.ts, line 11

Type: `number`

#### # hbondCutoff Optional

maximum distance used for identifying hydrogen bonds when computing secondary structure; supported by pdb, mmtf, cif

View Source parsers/ParserOptionsSpec.ts, line 73

Type: `boolean`

#### # keepH Optional

do not strip hydrogens ; supported by sdf,mol2

View Source parsers/ParserOptionsSpec.ts, line 33

Type: `boolean`

#### # multimodel Optional

specifies whether or not multiple models are being defined ; supported by xyz,sdf, or mol2

View Source parsers/ParserOptionsSpec.ts, line 23

Type: `boolean`

#### # noComputeSecondaryStructure Optional

do not compute ss ; supported by pdb, mmtf, cif

View Source parsers/ParserOptionsSpec.ts, line 68

Type: `boolean`

#### # noSecondaryStructure Optional

boolean dictating the presence of a secondary structure ; supported by pdb

View Source parsers/ParserOptionsSpec.ts, line 63

Type: `boolean`

#### # normalizeAssembly Optional

shift symmetry mates so their centroid is in the unit cell

View Source parsers/ParserOptionsSpec.ts, line 53

Type: `boolean`

#### # onemol Optional

specifies weather or not the model is of one molecule ; Supported by xyz , sdf , mol2

View Source parsers/ParserOptionsSpec.ts, line 28

Type: `unknown`

#### # parseStyle Optional

used to define ChemDoodle styles ; supported by cdjson

View Source parsers/ParserOptionsSpec.ts, line 38

Type: `AtomStyleSpec`

#### # style Optional

set model to this style after parsing

View Source parsers/ParserOptionsSpec.ts, line 93

Type: `object`

#### # vibrate Optional

object specifying the vibration behavior ; supported by all

##### Properties:

Name | Type | Attributes | Description
--- | --- | --- | ---
`frames` | `number` | <optional> | vibrate.frames - number of frames to be created, default to 10 ; supported by all
`amplitude` | `number` | <optional> | vibrate.amplitude -amplitude of distortion, default to 1 (full) ; supported by all

View Source parsers/ParserOptionsSpec.ts, line 16